<?php
/**
 * Web Designer Courses functions
 */

if ( ! function_exists( 'web_designer_courses_setup' ) ) :
function web_designer_courses_setup() {
    load_theme_textdomain( 'web-designer-courses', get_template_directory() . '/languages' );

	/**
	* About Theme Function
	*/
	require get_theme_file_path( '/about-theme/about-theme.php' );
}
endif; 
add_action( 'after_setup_theme', 'web_designer_courses_setup' );

//Admin css
	add_editor_style( array( 'assets/css/admin.css' ) );

if ( ! function_exists( 'web_designer_courses_styles' ) ) :
	function web_designer_courses_styles() {
		// Register theme stylesheet.
		wp_register_style('web-designer-courses-style',
			get_template_directory_uri() . '/style.css',array(),
			wp_get_theme()->get( 'Version' )
		);
		
		wp_enqueue_style( 
			'fontawesome-style', 
			get_template_directory_uri() .'/assets/fontawesome/css/all.css' 
		);

		wp_enqueue_script('web-designer-courses-js',
        	get_template_directory_uri() . '/assets/js/effects.js',array(),
        	wp_get_theme()->get('Version'),true 
   		);

		// Scroll to top CSS and JS
		wp_enqueue_style( 'dashicons' );
		
		wp_enqueue_style( 'scroll-to-top-style',
			get_template_directory_uri() . '/assets/css/scroll-to-top.css',
			array(),
			wp_get_theme()->get('Version')
		);

		wp_enqueue_script( 'scroll-to-top-js',
			get_template_directory_uri() . '/assets/js/scroll-to-top.js',
			array(),
			wp_get_theme()->get('Version'),
			true
		);

		// Enqueue theme stylesheet.
		wp_enqueue_style( 'web-designer-courses-style' );

		wp_style_add_data( 'web-designer-courses-style', 'rtl', 'replace' );

	}
endif;
add_action( 'wp_enqueue_scripts', 'web_designer_courses_styles' );

/**
 * TGM FILE
 */
require get_theme_file_path( '/tgm.php' );

/**
 * Customizer
 */
require get_template_directory() . '/inc/customizer.php';